
package de.ivu.elect.presentation.veranstaltung.form;

import de.ivu.elect.business.veranstaltung.entity.SchulungArt;
import de.ivu.elect.business.veranstaltung.entity.Veranstaltung;

public class VeranstaltungSchulungArtProperty extends AbstractSchulungArtProperty {

  private final Veranstaltung veranstaltung;

  private final boolean hasNoSelectionItem;

  public VeranstaltungSchulungArtProperty(Veranstaltung veranstaltung) {
    super();

    this.veranstaltung = veranstaltung;

    this.hasNoSelectionItem = veranstaltung.getSchulungArt() == null; // TODO ELECT-8705
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public boolean hasNoSelectionItem() {
    return hasNoSelectionItem;
  }

  @Override
  public SchulungArt getValue() {
    return veranstaltung.getSchulungArt();
  }

  @Override
  public void setValue(SchulungArt schulungArt) {
    veranstaltung.setSchulungArt(schulungArt);
  }
}
